<? session_start();
  ob_start();
  date_default_timezone_set('America/Bogota');

  if (isset($_SESSION['tipousuario'])){
    if ($_SESSION['tipousuario']=='1'){
      header ('location:menu_personal.php');
    }
  }
  if (trim($_SESSION['nombre_validar'])==''){
    header ('location:index.php');
  }

  include ("fphp.php");
  include ("calendario/calendario.php");
  require_once 'PHPExcel/PHPExcel.php';

  $enlace=cargar_conexion();

  $query_nomina = "select codigo, detalle from nomina where id='".$_SESSION['id_validar']."' order by codigo ";
  $resultados_nomina = mysqli_query($enlace,$query_nomina) or die ("no se pudo realizar la consulta...");

  $query_fecha = "SELECT max(fecha_hasta) as fecha_maxima FROM fondo_ahorros";
  $resultados_fecha = mysqli_query($enlace,$query_fecha) or die ("no se pudo realizar la consulta...");
  $fila_fecha = mysqli_fetch_array($resultados_fecha);
  $fecha_maxima = $fila_fecha["fecha_maxima"];
  
  if($_POST['step'] == "1"){
    $caja_ahorros_consulta = "SELECT fondo_ahorros.cedula AS cedula, 
    nomina, estatus_fa, 
	sum(aporte_ordinario) as ordinario_acum, 
	sum(pago_ordinario) as pago_ordinario,
	
    sum(aporte_voluntario) as voluntario_acum,
	sum(pago_voluntario) as pago_voluntario,
	
	sum(aporte_extraor) as extraordinario_acum,
	
    SUM(aporte_empresa) AS empresa_acum,
	SUM(pago_aporte_empresa) AS pago_aporte_empresa,
	
	SUM(dividendos) AS dividendos_acum,
	SUM(pago_dividendos) AS pago_dividendos,
	
    SUM(reserva) AS reservas_acum, 
	
	ifnull(saldo,0) AS prestamos_acum 
    FROM fondo_ahorros 
    LEFT JOIN prestamo ON prestamo.cedula = fondo_ahorros.cedula AND prestamo.fondo_ahorro ='SI' AND saldo > '0' AND prestamo.id = fondo_ahorros.id 
    WHERE fondo_ahorros.id='".$_SESSION['id_validar']."' AND (nomina ='".$_POST['nomina']."' OR '".$_POST['nomina']."'='000') AND fecha_hasta <= DATE('".$_POST['fecha_hasta']."')
    GROUP BY cedula, nomina, estatus_fa";

    $caja_ahorros_resultados = mysqli_query($enlace,$caja_ahorros_consulta) or die ("no se pudo realizar la consulta: ".$caja_ahorros_consulta);

    $objPHPExcel = new PHPExcel();

    $objPHPExcel->getProperties()->setCreator("Saireh")
      ->setLastModifiedBy("Saireh")->setTitle("Reporte de aportes a la caja de ahorros")
      ->setSubject("Reporte de aportes a la caja de ahorros ")->setDescription("Reporte")
      ->setKeywords("reporte")->setCategory("Reporte Ahorros");
    
    $objPHPExcel->getActiveSheet()
      ->setCellValue("A1","cedula")
      ->setCellValue("B1","nombre1")
      ->setCellValue("C1","nombre2")
      ->setCellValue("D1","apellido1")
      ->setCellValue("E1","apellido2")
      ->setCellValue("F1","nomina")
      ->setCellValue("G1","estatus_fa")
      ->setCellValue("H1","ordinario_acum")
      ->setCellValue("I1","voluntario_acum")
      ->setCellValue("J1","extraordinario_acum")
      ->setCellValue("K1","empresa_acum")
      ->setCellValue("L1","dividendos_acum")
      ->setCellValue("M1","reservas_acum")
      ->setCellValue("N1","prestamos_acum")
      ->setCellValue("O1","total");

    for ($it=0; $it < mysqli_num_rows($caja_ahorros_resultados); $it++) {
      
      $i = $it+2;
      $row = mysqli_fetch_array($caja_ahorros_resultados); 
      $trabajador_nombre = "SELECT nombres,nombres1,apellidos,apellidos1 FROM personal WHERE codigo = '".$row['cedula']."'";
      $respuesta_nombre = mysqli_query($enlace,$trabajador_nombre) or die ("no se pudo realizar la consulta: ".$trabajador_nombre);
      if (mysqli_num_rows($respuesta_nombre)==0){
        $trabajador_nombre = "SELECT nombres,nombres1,apellidos,apellidos1 FROM personal_antes_saireh WHERE codigo ='".$row['cedula']."'";
        $respuesta_nombre = mysqli_query($enlace,$trabajador_nombre) or die ("no se pudo realizar la consulta: ".$trabajador_nombre);
      }
      $row_nombre=mysqli_fetch_array($respuesta_nombre); 
		
		////Busco el saldo del prestamo activo
		$consultaP="select * from  prestamo where cedula='".$row['cedula']."' AND fondo_ahorro='SI' AND saldo > '0' ";
		$resultadoP = mysqli_query($enlace,$consultaP) or die($consultaP . mysqli_error($enlace));
		$rowP=mysqli_fetch_array($resultadoP);
		$SaldoPrestamo = $rowP['saldo'];
		
	
      $total = $row['ordinario_acum'] - $row['pago_ordinario'] + $row['voluntario_acum'] -$row['pago_voluntario'] + $row['extraordinario_acum'] + $row['empresa_acum'] -$row['pago_aporte_empresa'] + $row['dividendos_acum'] -$row['pago_dividendos'] + $row['reservas_acum'] - $SaldoPrestamo;
      $objPHPExcel->getActiveSheet()
        ->setCellValue("A".$i,$row['cedula'])
        ->setCellValue("B".$i,$row_nombre['nombres'])
        ->setCellValue("C".$i,$row_nombre['nombres1'])
        ->setCellValue("D".$i,$row_nombre['apellidos'])
        ->setCellValue("E".$i,$row_nombre['apellidos1'])
        ->setCellValue("F".$i,$row['nomina'])
        ->setCellValue("G".$i,$row['estatus_fa'])
        ->setCellValue("H".$i,($row['ordinario_acum']-$row['pago_ordinario']))
        ->setCellValue("I".$i,($row['voluntario_acum']-$row['pago_voluntario']))
        ->setCellValue("J".$i,$row['extraordinario_acum'])
        ->setCellValue("K".$i,($row['empresa_acum']-$row['pago_aporte_empresa']))
        ->setCellValue("L".$i,($row['dividendos_acum']-$row['pago_dividendos']))
        ->setCellValue("M".$i,$row['reservas_acum'])
        ->setCellValue("N".$i,$SaldoPrestamo)
        ->setCellValue("O".$i,$total);
    }

    $fecha = date("dmY-His");
    $fileName = "caja-ahorros-".$fecha.".xlsx";
    $filePath = 'reportes_fondo_ahorros/'.$fileName;
    
    $objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel2007');
    
    $objWriter->save($filePath);

    
    
    ob_get_clean();
    
    header('Content-Description: File Transfer');
    header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
    header("Content-Transfer-Encoding: Binary");
    header('Content-Disposition: attachment; filename="'.$fileName.'"');
    header('Content-Transfer-Encoding: binary');
    header('Expires: 0');
    header('Cache-Control: must-revalidate');
    header('Pragma: public');
    
    readfile($filePath);
    exit();
  }
  
?>